Package org.zkoss.bind.impl

## Class AbstractBindingHandler

- java.lang.Object
- - org.zkoss.bind.impl.AbstractBindingHandler

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `ReferenceBindingHandlerImpl`

      public abstract class AbstractBindingHandler
      extends java.lang.Object
      implements java.io.Serializable

  to help implement BinderImpl
  Author:
    dennis
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Binder` | `_binder` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractBindingHandler()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected <K,​V> void` | `addBinding​(java.util.Map<K,​java.util.List<V>> bindingsMap, K bkey, V binding)` |
    `protected void` | `clearValidationMessages​(Binder binder, Component component, java.lang.String attr)` |
    `protected void` | `doPostPhase​(Phase phase, BindContext ctx)` |
    `protected void` | `doPrePhase​(Phase phase, BindContext ctx)` |
    `protected java.lang.String` | `getLoadBindingDebugInfo​(java.lang.String operation, java.lang.Object... args)` |
    `protected static java.util.Set<Property>` | `getNotifys​(BindContext ctx)` |
    `protected java.lang.String` | `getSaveBindingDebugInfo​(java.lang.String operation, java.lang.Object... args)` |
    `void` | `setBinder​(Binder binder)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _binder

          protected Binder _binder

  - ### Constructor Detail

    - #### AbstractBindingHandler

          public AbstractBindingHandler()

  - ### Method Detail

    - #### setBinder

          public void setBinder​(Binder binder)

    - #### doPrePhase

          protected void doPrePhase​(Phase phase,
                                    BindContext ctx)

    - #### doPostPhase

          protected void doPostPhase​(Phase phase,
                                     BindContext ctx)

    - #### getNotifys

          protected static java.util.Set<Property> getNotifys​(BindContext ctx)

    - #### clearValidationMessages

          protected void clearValidationMessages​(Binder binder,
                                                 Component component,
                                                 java.lang.String attr)

    - #### addBinding

          protected <K,​V> void addBinding​(java.util.Map<K,​java.util.List<V>> bindingsMap,
                                                K bkey,
                                                V binding)

    - #### getSaveBindingDebugInfo

          protected java.lang.String getSaveBindingDebugInfo​(java.lang.String operation,
                                                             java.lang.Object... args)

    - #### getLoadBindingDebugInfo

          protected java.lang.String getLoadBindingDebugInfo​(java.lang.String operation,
                                                             java.lang.Object... args)